# Gytis Repečka

My name is **Gytis Repečka**, I am Solution Architect and seasoned data professional with over a decade years of experience designing and implementing Data Warehouse solutions. Extensive hands-on experience with Teradata and PostgreSQL databases; Informatica PowerCenter, Oracle Data Integrator ETL/ELT tools; on-premise and cloud (AWS, Azure) infrastructure. Currently focusing on Data Vault automation and microservice integration via APIs. Certified Data Vault 2.0 Practitioner.

I am strong open source advocate promoting, documenting, teaching about and contributing to open source software and open hardware projects. Key interests are data architecture, personal privacy and security, databases, backend development, internet of things (IoT), automotive diagnostics and telemetry.

- 🦸 My superpower is conveying complex problems and explaining tech solutions addressing them to different audiences
- 💬 Ask me about data modeling, databases, data engineering, Linux infrastructure, open source software and open hardware
- 📫 Contact me via e-mail [gytis@repecka.com](mailto:gytis@repecka.com) ([GPG public key](https://source.gyt.is/gytisrepecka/keys/src/branch/master/gytis_repecka_com_public.asc))
- 📣 Socialize with me on Fediverse: [@gytisrepecka@social.gyt.is](https://social.gyt.is/@gytisrepecka)
- 💼 See professional experience on [LinkedIn](https://www.linkedin.com/in/gytisrepecka/)
- 🔭 [Inretio](https://inretio.eu/) is my small business company providing IT consulting services, building data-driven solutions and performing smart automotive diagnostics
- 😄 My name pronouns: **´giːtis repetʃ´ka** with stress on "i:" (long) and "a" (short), also notice that "c" is written with caron.

## Certification

* Certified Data Vault 2.0 Practitioner (DataVaultAlliance, July 14, 2022) - [show credential](https://www.credential.net/e2bbc18d-85d1-44e4-b3ae-e8abfcaa1a5c)
* Arduino Certification on Electronics and Physical Computing (Arduino Education Team, 2022-09-07)

## Personal Projects

* [Bouncing Logo](https://bouncinglogo.com/) - Classic TV and DVD player screensaver app for smart devices (currently Tizen TVs and projectors by Samsung)
* API server (coming soon) - minimalistic API server with public and protected (external OAuth login) endpoints, PostgreSQL connection pooler
* [webimg](https://source.gyt.is/gytisrepecka/webimg) - image manipulation (currently - watermarking) library for web written in Go lang

## Communities

I am active in these communities:

* [Samsung Community](https://eu.community.samsung.com/t5/user/viewprofilepage/user-id/10634947)

Also participating in:

* [XBOX Ambassadors](https://account.xbox.com/Profile?GamerTag=gytisrepecka)
* [Khadas Community](https://forum.khadas.com/u/Gytis)
* [Arduino Community](https://forum.arduino.cc/u/gytisrepecka)

## Contributions

### Golang

* [WriteFreely: Fix login with Gitea OAuth: external user ID not recorded](https://github.com/writefreely/writefreely/pull/515) *(Nov 28, 2021)*
* [AWS Lambda Go sample function improvements](https://github.com/awsdocs/aws-lambda-developer-guide/pull/277): remove redundant call to `GetAccountSettings` API (`callLambda` function within `init`) and fixed misleading error message in TestMain function. *(May 3, 2021)*
* [Add Gitea OAuth login and account management in WriteFreely](https://github.com/writeas/writefreely/pull/293) *(Apr 3, 2020)*

### PHP

* [WordPress plugin boilerplate improvement - add shortcode support](https://github.com/DevinVinson/WordPress-Plugin-Boilerplate/pull/549) *(Jul 17, 2020)*

### Shell

* [WriteFreely build on CentOS](https://github.com/writefreely/writefreely/pull/99): fix finding of `lessc` binary *(May 2, 2019)*

### Other

* [WriteFreely translation to Lithuanian](https://github.com/writeas/web-core/pull/3) *(May 7, 2019)*
